// creator  : weidu.exe (version 23100)
// argument : X#WINSKI.DLG
// game		 : .
// source	 : ./override/X#WINSKI.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~X#WINSKI~

IF ~  Global("X#DYJWADM","GLOBAL",1)
~ THEN BEGIN 0 // from:
  SAY #102454 /* ~Greetings, <CHARNAME> of Candlekeep. I am Winski Perorate of Rashemen. A Wychlaran that travels with you is under investigation. The Othlors ordered me to bring Dynaheir back to Rashemen.~ */
  IF ~~ THEN DO ~SetGlobal("X#DYJWADM","GLOBAL",2)
~ EXTERN ~_BDYNAH~ 308
END

IF ~~ THEN BEGIN 1 // from:
  SAY #102456 /* ~Do not defy me, Wychlaran, or I will take you by force.~ */
  IF ~~ THEN EXTERN ~_BDYNAH~ 310
END

IF ~~ THEN BEGIN 2 // from:
  SAY #102459 /* ~Then you shall come along, beserker.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #102460 /* ~Just to be sure that you do not follow, enjoy these creatures, my little playthings. AWAY!~ */
  IF ~~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",1)
SetGlobal("X#WinskiTakeDyna","GLOBAL",1)
SetGlobal("X#DynaheirRomanceInactive","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 9.3 8.0
  SAY #102479 /* ~Ah, <CHARNAME>, you are too significant for the gods' struggle to die... I have witnessed you eluding death again and again, and I do not see it as a simple coincidence. I will not risk the divine favor by slaying you... by mischance. But I need the woman.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #102480 /* ~*Snaps his fingers*~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #102481 /* ~Here, creatures, get the dark woman for your master. Kill everyone but her and the boy.~ */
  IF ~  NumInParty(2)
~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",2)
~ EXIT
  IF ~  NumInParty(3)
~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",3)
~ EXIT
  IF ~  NumInParty(4)
~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",4)
~ EXIT
  IF ~  NumInParty(5)
~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",5)
~ EXIT
  IF ~  NumInParty(6)
~ THEN DO ~SetGlobal("X#DYQUImpAttack","GLOBAL",6)
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 9.0
  SAY #102482 /* ~Here is your money.~ */
  IF ~~ THEN DO ~GiveGoldForce(1000)
~ EXTERN ~_BDYNAH~ 309
END

IF ~~ THEN BEGIN 8 // from: 9.2 9.1
  SAY #102483 /* ~Are you in love, fool? With the witch? Then gods love fools, indeed.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 9 // from:
  SAY #102484 /* ~On the graves of my ancestors I swear to return Wychlaran Dynaheir to you unharmed. Gnolls did not touch her on my orders.~ */
  IF ~~ THEN REPLY #102475 /* ~Thousand gold - and she is yours!~ */ GOTO 7
  IF ~~ THEN REPLY #102476 /* ~I can find another wizard, but I will never find another Dynaheir. She stays.~ */ GOTO 8
  IF ~~ THEN REPLY #102485 /* ~I would not entrust my companion to a man who conspired with gnolls! Dynaheir is right - your word is nothing! You want her - you will have to cut through me! ~ */ GOTO 8
  IF ~  OR(2)
CheckStatGT(Player1,14,INT)
Global("X#HeRashemi","GLOBAL",1)
~ THEN REPLY #102486 /* ~Did you just call her Wychlaran again? 'Tis not how one who respects the witches of Rashemen calls them! You'd have said Hathran if you were a true Rashemi Vremyonni! You are an imposter and I will not surrender Dynaheir to you!~ */ GOTO 4
END
